---
title: '-moz-force-broken-image-icon'
slug: Web/CSS/-moz-force-broken-image-icon
tags:
  - CSS
  - NeedsCompatTable
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{Non-standard_header}}{{CSSRef}}</div>

<p>The <strong><code>-moz-force-broken-image-icon</code></strong> extended CSS property can be used to force the broken image icon to be shown even when a broken image has an <code>alt</code> attribute.</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>A value of <code>1</code> means that the broken image icon is shown even if the image has an {{HTMLElement("img", "<code>alt</code>", "#attr-alt")}} attribute. When the value <code>0</code> is used the image will act as usual and only display the <code>alt</code> attribute.</dd>
</dl>

<div class="note"><strong>Note:</strong> Even if the value is set to <code>1</code> the <code>alt</code> attribute will still be displayed, alongside the broken image icon.</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html; notranslate">&lt;img src='/broken/image/link.png' alt='Broken image link'&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush:css; notranslate">img {
  -moz-force-broken-image-icon: 1;
  height: 100px;
  width: 100px;
}</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Example','125','125','/files/4619/broken%20image%20link.png') }}</p>

<div class="note"><strong>Note:</strong> Unless the image has a specified height and width the broken image icon will not be displayed but the alt attribute will also be hidden if <code>-moz-force-broken-image-icon</code> is set to <code>1</code>.</div>

<h2 id="Notes">Notes</h2>

<ul>
 <li>This property will only work in Gecko-based browsers.</li>
 <li>The use of this property is not recommended. A proper <code>alt</code> attribute should be used instead.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-moz-force-broken-image-icon")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ Bug(58646) }}</li>
</ul>
